From a50b26e4b00ed094aa1ac74eac2fc2d8eb9ea1ed Mon Sep 17 00:00:00 2001
From: Chris Packham <judge.packham@gmail.com>
Date: Thu, 8 Sep 2016 20:34:34 +1200
Subject: [PATCH] py/makeqstrdefs.py: Use python 2.6 syntax for set creation.

py/makeqstrdefs.py declares that it works with python 2.6 however the
syntax used to initialise of a set with values was only added in python
2.7. This leads to build failures when the host system doesn't have
python 2.7 or newer.

Instead of using the new syntax pass a list of initial values through
set() to achieve the same result. This should work for python versions
from at least 2.6 onwards.

Helped-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Signed-off-by: Chris Packham <judge.packham@gmail.com>
---
 py/makeqstrdefs.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/py/makeqstrdefs.py b/py/makeqstrdefs.py
index 69aaefb..92a19c3 100644
--- a/py/makeqstrdefs.py
+++ b/py/makeqstrdefs.py
@@ -11,7 +11,7 @@
 
 # Blacklist of qstrings that are specially handled in further
 # processing and should be ignored
-QSTRING_BLACK_LIST = {'NULL', 'number_of', }
+QSTRING_BLACK_LIST = set(['NULL', 'number_of'])
 
 
 def write_out(fname, output):
